<?php
require_once "header.php";
?>

<div class="mt-4 mb-4">
    <h1 class="display-4">Ajouter une équipe</h1>
</div>

<?php if (isset($new_team) && !$has_error) { ?>
    <div class="alert alert-success">
        Votre équipe a bien été créée ! Voici le code d'accès à transmettre aux autres membres de votre équipe :
        <strong><?= $new_team->access_code ?></strong>
    </div>
<?php } elseif ($_SESSION["team"] != NULL) { ?>
    <div class="alert alert-danger">
        Vous êtes déjà dans une équipe.
    </div>
<?php } elseif(date("Y-m-d H:i:s") >= $CONFIG->getInscriptionDate()) { ?>
    <div class="alert alert-danger">
        La date limite d'inscription est dépassée.
    </div>
<?php } else { ?>

    <div class="alert alert-info">
        Chacune des informations pourra être modifiée avant que l'équipe tant que l'équipe n'est pas validée.
    </div>

<form method="POST">
    <div class="form-row">
        <div class="form-group col-md-6">
            <label for="name">Nom (<em>Pas de caractères spéciaux</em>) :</label>
            <input class="form-control" type="text" id="name" name="name" pattern="[A-Za-zÀ-ÿ ]+"
                   value="<?php if (isset($new_team)) echo $new_team->name ?>" required/>
        </div>

        <div class="form-group col-md-6">
            <label for="trigram">Trigramme (<em>identifiant unique à trois lettres de l'équipe</em>) :</label>
            <input class="form-control" type="text" id="trigram" name="trigram"
                   value="<?php if (isset($new_team)) echo $new_team->trigram ?>" pattern="[A-Z]{3}" maxlength="3" required/>
        </div>
    </div>

    <div class="form-group row">
        <label for="problem">Problème :</label>
        <select id="problem" name="problem" class="custom-select">
            <option value="0">Choisir un problème ...</option>
			<?php
			for ($i = 1; $i <= 4; ++$i)
				echo "<option value='$i' " . (isset($new_team) && $new_team->problem == $i ? "selected" : "") . ">Problème $i</option>";
			?>
        </select>
    </div>

    <label for="allow_other_teams">J'accepte que mes vidéos soient diffusées aux équipes avec lesquelles je vais concourir :</label>
    <input type="checkbox" id="allow_other_teams" name="allow_other_teams"
        <?= isset($new_team) && $new_team->allow_other_teams ? "checked" : "" ?> required/><br />

    <label for="allow_publish">J'accepte qu'Animath diffuse mes vidéos à la fin des Correspondances (<em>facultatif</em>) :</label>
    <input type="checkbox" id="allow_publish" name="allow_publish"
        <?= isset($new_team) && $new_team->allow_publish ? "checked" : "" ?> />

    <div class="alert alert-info">
        Cette dernière option est modifiable à tout moment, et permet à <em>Animath</em> de diffuser les vidéos primées.
    </div>

    <div class="form-group row">
        <input class="btn btn-primary btn-lg btn-block" name="add_team" type="submit" value="Ajouter une équipe"/>
    </div>
</form>
<?php } ?>

<?php require_once "footer.php" ?>
