<?php
require_once "header.php";
?>

    <div class="mt-4 mb-4">
        <h1 class="display-4">Poser des questions</h1>
    </div>

<?php
if (isset($give_questions) && !$has_error) { ?>
    <div class="alert alert-success">
        Vos questions ont bien été mises à jour !
    </div>
<?php } ?>

<div class="alert alert-info">
    Pour cette deuxième phase des Correspondances, vous êtes invités à visionner les vidéos de solution de deux autres
    équipes, qui ont travaillé sur le même problème que vous. Vous devez désormais poser entre 3 et 6 questions, portant
    sur la présentation de l'équipe. Chaque question peut-être accompagnée d'une pièce jointe (dessin, schéma, ...)
    sous toute forme (PDF, image, archive, ...) tant que le poids ne dépasse pas 2 Mo. Si vous le souhaitez, vous pouvez
    adresser aux équipes des remarques plus générales.
</div>

<div class="alert alert-warning">
    <strong>Date limite de soumission des questions :</strong> <?= formatDate($CONFIG->getEndPhase2Date(), true) ?>
</div>

<div class="alert alert-warning">
    <h2>Veuillez toujours enregistrer votre travail ailleurs que sur la plateforme !</h2>
</div>

<?php
for ($i = 0; $i < 2; ++$i) {
	$receiver = $receivers[$i];
	$video = $videos[$i]; ?>
    <div class="jumbotron">
        <h2>Questions pour l'équipe <?= $receiver->getName() ?> (<?= $receiver->getTrigram() ?>) :</h2>
        <div class="alert alert-info">
            <strong>Lien de la vidéo :</strong> <a href="<?= $video->getLink() ?>"><?= $video->getLink() ?></a>
        </div>
		<?php displayVideo($video->getLink()) ?>
        <br/>
        <form method="POST" enctype="multipart/form-data">
            <input type="hidden" name="to" value="<?= $receiver->getTrigram() ?>"/>

			<?php
			for ($j = 0; $j <= 6; ++$j) {
				$question = $questions[$i][$j];

				if ($question->getQuestion() == null && $j > 0) { ?>
                    <a id="button_<?= $i ?>_<?= $j ?>" class="btn btn-secondary btn-lg btn-block"
                       style="display: <?= $questions[$i][$j - 1]->getQuestion() != null ? "block" : "none" ?>"
                       onclick="addQuestion(<?= $i ?>, <?= $j ?>)">Ajouter une question</a>
                    <br/>
				<?php } ?>
                <div class="alert alert-info" id="block_<?= $i ?>_<?= $j ?>" style="display: <?= $j > 0 && $question->getQuestion() == null ? "none" : "block" ?>;">
                    <div class="form-group-row">
                        <label for="question_<?= $j ?>_<?= $i ?>">
                            <strong><?= $j == 0 ? "Remarques générales :" : "Question " . $j . " :" ?></strong>
                        </label>
                        <textarea class="form-control" id="question_<?= $j ?>_<?= $i ?>"
                                  name="question_<?= $j ?>"><?= $question->getQuestion() ?></textarea>
                    </div>

					<?php
					if ($question->getAttachedFile() != null) { ?>
                        <br/>
                        <div class="alert alert-warning">
                            Pièce jointe : <a href="/file/<?= $question->getAttachedFile() ?>">Télécharger</a>
                        </div>
					<?php } ?>

                    <div class="form-group-row">
                        <label for="file_<?= $j ?>_<?= $i ?>">Ajouter une pièce jointe (<em>facultatif</em>)
                            :</label>
                        <input type="file" name="file_<?= $j ?>" id="file_<?= $j ?>"/>
                    </div>
                </div>

			<?php } ?>

            <input type="checkbox" name="no_drawing" id="no_drawing_<?= $i ?>"/> <label for="no_drawing_<?= $i ?>">Je
                confirme que mes pièces jointes ne contiennent pas de texte.</label>
            <input class="btn btn-primary btn-lg btn-block" type="submit" name="give_questions"
                   value="Poser les questions"/>
        </form>
    </div>

    <script>
        function addQuestion(i, j) {
            document.getElementById("button_" + i + "_" + j).style.display = "none";
            document.getElementById("block_" + i + "_" + j).style.display = "block";
            document.getElementById("button_" + i + "_" + (j + 1)).style.display = "block";
        }
    </script>
<?php }

require_once "footer.php";